Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059837 - [GSS] (6.2.x) Remote Naming communication exception should be thrown on ConnectException
Summary: [GSS] (6.2.x) Remote Naming communication exception should be thrown on Conne...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Naming
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR2
: EAP 6.2.2
Assignee: Brad Maxwell
QA Contact:
URL:
Whiteboard:
Depends On: 1059836
Blocks: 1053427
TreeView+ depends on / blocked
 
Reported: 2014-01-30 19:11 UTC by Brad Maxwell
Modified: 2018-12-04 17:15 UTC (History)
5 users (show)

Doc Type: Bug Fix
Doc Text:
A generic javax.naming.NamingException was being thrown when a java.net.ConnectException occurred instead of the more specific javax.naming.CommunicationException. This change makes it throw a javax.naming.CommunicationException when a connection exception occurs. CommunicationException is a subclass of NamingException, so any code that previously caught a NamingException will still work as expected.
Clone Of: 1059836
Environment:
Last Closed: 2014-06-02 12:50:31 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2839 Major Resolved Remote Naming communication exception should be thrown on ConnectException 2014-06-10 03:57:09 UTC

Description Brad Maxwell 2014-01-30 19:11:55 UTC
+++ This bug was initially created as a clone of Bug #1059836 +++

Use right exception type for communication problem , javax.naming.CommunicationException should be thrown instead of javax.naming.NamingException

Comment 1 JBoss JIRA Server 2014-01-30 20:04:27 UTC
Brad Maxwell <bmaxwell@redhat.com> updated the status of jira WFLY-2839 to Resolved

Comment 2 Jan Martiska 2014-03-05 14:54:46 UTC
Done through upgrade to jboss-remote-naming 1.0.8.Final, which is used in EAP 6.2.2.CR2.

Comment 3 Scott Mumford 2014-03-12 22:38:19 UTC
Does this issue require an entry in the EAP 6.2.2 Release Notes?

If so, please populate the details in the Doc Text field to allow ECS to begin drafting a note for it.

Note: "$THING was broken and now $THING is fixed" is not a suitable release note draft.

Comment 4 Jan Martiska 2014-03-24 14:12:21 UTC
Huh, I see that the release note for this was incorporated in the note for #1053426. Therefore this doesn't require any more work.

Comment 5 Scott Mumford 2014-03-24 20:57:23 UTC
Nice catch Jan! I hadn't even realised these were the same thing.
Cheers.


Note You need to log in before you can comment on or make changes to this bug.